liblightify-private.h File Reference
`#include <syslog.h>`
`#include <liblightify/liblightify.h>`
Include dependency graph for liblightify-private.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | lightify_log_cond(ctx, prio, arg...)
#define | dbg(ctx, arg...) lightify_log_null(ctx, ## arg)
#define | info(ctx, arg...) lightify_log_null(ctx, ## arg)
#define | err(ctx, arg...) lightify_log_null(ctx, ## arg)
#define | LIGHTIFY_EXPORT __attribute__ ((visibility("default")))

## Variables

static void const char * | format

## Macro Definition Documentation

#define dbg | ( |  | ctx,
|  |  | arg...
| ) |  | lightify_log_null(ctx, ## arg)

#define err | ( |  | ctx,
|  |  | arg...
| ) |  | lightify_log_null(ctx, ## arg)

#define info | ( |  | ctx,
|  |  | arg...
| ) |  | lightify_log_null(ctx, ## arg)

#define LIGHTIFY_EXPORT __attribute__ ((visibility("default")))

#define lightify_log_cond | ( |  | ctx,
|  |  | prio,
|  |  | arg...
| ) |  |

Value:
do { \
if (lightify_get_log_priority(ctx) >= prio) \
lightify_log(ctx, prio, __FILE__, __LINE__, __FUNCTION__, ## arg); \
} while (0)
lightify_log
void lightify_log(struct lightify_ctx *ctx, int priority, const char *file, int line, const char *fn, const char *format,...)
Definition: log.c:44
lightify_get_log_priority
int lightify_get_log_priority(struct lightify_ctx *ctx)
Definition: log.c:99

## Variable Documentation

void const char* format

Definition at line 42 of file liblightify-private.h.